package com.prettyAccess.rewrite;

import java.io.Serializable;

import javax.enterprise.context.SessionScoped;
import javax.enterprise.inject.Model;

@Model
@SessionScoped
public class Identity implements Serializable {
    private static final long serialVersionUID = 1248186199556029242L;

    private boolean loggedIn = false;

    public boolean isLoggedIn() {
        return loggedIn;
    }

    public String login() {
        loggedIn = true;

        return "pretty:home";
    }

    public void logout() {
        loggedIn = false;
    }
}